curl --request GET \
--url https://api.coinlist.co/v1/offers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coinlist.co/v1/offers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coinlist.co/v1/offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"about": "<string>",
"asset": {
"code": "<string>",
"fractional_digits": 123,
"id": "<string>",
"name": "<string>"
},
"banner_url": "<string>",
"category": "<string>",
"ends_at": "2025-01-01T00:00:00.000000Z",
"faqs": [
{
"answer": "<string>",
"question": "<string>"
}
],
"funding_assets": [
{
"code": "<string>",
"fractional_digits": 123,
"id": "<string>",
"name": "<string>"
}
],
"id": "05edea81-98a7-4582-aa7c-040d57cb1858",
"links": [
{
"label": "<string>",
"url": "<string>"
}
],
"logo_url": "<string>",
"milestones": [
{
"name": "<string>",
"schedule": "<string>",
"status": "completed"
}
],
"name": "<string>",
"object": "offer",
"options": [
{
"bid_increment": "<string>",
"floor_price_usd": "<string>",
"id": "05edea81-98a7-4582-aa7c-040d57cb1858",
"minimum_purchase_usd": "<string>",
"price_usd": "<string>",
"sale_agreement_url": "<string>",
"slug": "<string>",
"total_token_supply": 123
}
],
"slug": "example-offer",
"starts_at": "2025-01-01T00:00:00.000000Z",
"tagline": "<string>",
"terms": [
{
"key": "<string>",
"value": "<string>"
}
],
"tokens": [
{
"address": "<string>",
"chain": "ethereum_sepolia",
"role": "funding"
}
],
"type": "coinlist::token_sale"
}{
"message": "<string>",
"type": "api_error",
"code": "<string>",
"errors": {},
"event_id": "<string>"
}Get an offer for the authenticated partner
Authorizations
OAuth 2.0 authorization and token endpoints
Path Parameters
Offer ID
Response
Successful response.
Full offer details
About text for the offer (English)
The asset for which the offer is created
Show child attributes
Show child attributes
The URL for the offer banner. Null for offer types that don't require one (e.g. ondo::swap).
The category of the offer
When the offer ends. Null when the offer has no end date
"2025-01-01T00:00:00.000000Z"
List of FAQs for the offer
Show child attributes
Show child attributes
List of assets that can be used to fund the offer
Show child attributes
Show child attributes
Unique identifier for the object.
"05edea81-98a7-4582-aa7c-040d57cb1858"
List of links related to the offer
Show child attributes
Show child attributes
The URL for the offer logo
List of milestones for the offer
Show child attributes
Show child attributes
The name of the offer
String representing the object's type. Objects of the same type share the same value.
offer List of offer options
Show child attributes
Show child attributes
The slug identifier of the offer
"example-offer"
When the offer starts
"2025-01-01T00:00:00.000000Z"
Tagline text for the offer (English). Null for offer types that don't require one (e.g. ondo::swap).
List of offer terms
Show child attributes
Show child attributes
Tokens involved in the offer by role — funding token(s) plus the distribution/swap token — each keyed by chain + address
Show child attributes
Show child attributes
Offer type
coinlist::token_sale, superstate::swap, ondo::swap "coinlist::token_sale"